<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "product";
$formname = "Product List";
$file = "product_fr.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);


    
    if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
    }
    

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code !='' $namecond ")or die(mysqli_error($conn));
    include("includes/linkshead.php");
    ?>  
    </head>
    <body>
        <div class="container table-responsive" style="width: 60%;">
            <?php include("includes/head_rep.php"); ?>            
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered table-hover">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Group</th>
                            <th>Cost Price</th>
                            <th>Selling Price</th>
                            <th>No Of Qty. In One Cart</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            $getgrp = mysqli_query($conn, "SELECT `name` FROM `prodgrp` WHERE `code` = '$pmain[prodgrp]'")or die(mysqli_error($conn));
                            $grp = mysqli_fetch_array($getgrp);
                            
                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$grp[name]</td>";
                            Echo "<td>$pmain[cost]</td>";
                            Echo "<td>$pmain[rate]</td>";
                            Echo "<td>$pmain[cartqty]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?

if (isset($_POST["excel"])) {
    $name = $_POST[name];

    $namecond = '';

    if (!empty($name)) {
        $namecond = " AND `code`='$name' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code !='' $namecond ")or die(mysqli_error($conn));

    $contents.="Sr,Name, Hsncode, GST%\n";

    $ctr = 0;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $ctr++;
        $pname = $pmain[name];
        $phsncode = $pmain[hsncode];
        $pgstperc = $pmain[gstperc];

        $contents.=$ctr . ",";
        $contents.=$pname . ",";
        $contents.=$phsncode . ",";
        $contents.=$pgstperc . "\n";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
